<?php
include "../koneksi.php";

$ekspedisi = $_POST['ekspedisi'];
$customer = $_POST['customer'];
$del_cost = $_POST['del_cost'];
$ret_cost = $_POST['ret_cost'];

if ($ekspedisi == '') {
    $data['error']['ekspedisi'] = 'Ekspedisi tidak boleh kosong';
}
if ($customer == '') {
    $data['error']['customer'] = 'Customer Tidak Boleh Kosong';
}
if ($del_cost == '') {
    $data['error']['del_cost'] = 'Delivery Cost Tidak Boleh Kosong';
}
if ($ret_cost == '') {
    $data['error']['ret_cost'] = 'Return Cost tidak boleh kosong';
}

if (empty($data['error'])) {
    
		$query = "insert INTO cost SET
										EkspedisiID = '$ekspedisi',
										CustomerID = '$customer',
										Del_Cost = '$del_cost',
										Ret_Cost = '$ret_cost'
										";

		mysqli_query($koneksi, $query)
		or die ("Gagal Perintah SQL".mysql_error());
		
    $data['hasil'] = 'sukses';
    
} else {
    
    $data['hasil'] = 'gagal';
}

echo json_encode($data);

?>

